ControllerDynamicMethods (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.metaclass

## [Groovy] Class ControllerDynamicMethods

- org.codehaus.groovy.grails.web.metaclass.ControllerDynamicMethods

- Holds constants that refer to the names of dynamic methods and properties within controllers

  Authors:
    Graeme Rocher
  Since:
    Oct 24, 2005

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ACTION_NAME_PROPERTY` |
    `static java.lang.String` | `ACTION_URI_PROPERTY` |
    `static java.lang.String` | `CONTROLLER_NAME_PROPERTY` |
    `static java.lang.String` | `CONTROLLER_URI_PROPERTY` |
    `static java.lang.String` | `ERRORS_PROPERTY` |
    `static java.lang.String` | `FLASH_SCOPE_PROPERTY` |
    `static java.lang.String` | `GET_TEMPLATE_URI` |
    `static java.lang.String` | `GET_VIEW_URI` |
    `static java.lang.String` | `GRAILS_APPLICATION` |
    `static java.lang.String` | `GRAILS_ATTRIBUTES` |
    `static java.lang.String` | `HAS_ERRORS_METHOD` |
    `static java.lang.String` | `MODEL_AND_VIEW_PROPERTY` |
    `static java.lang.String` | `RENDER_VIEW_PROPERTY` |
    `static java.lang.String` | `REQUEST_PROPERTY` |
    `static java.lang.String` | `RESPONSE_PROPERTY` |
    `static java.lang.String` | `SERVLET_CONTEXT` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `registerCommonWebProperties(groovy.lang.MetaClass mc, GrailsApplication application)` This creates the difference dynamic methods and properties on the controllers.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ACTION_NAME_PROPERTY

    - #### public static final java.lang.String ACTION_URI_PROPERTY

    - #### public static final java.lang.String CONTROLLER_NAME_PROPERTY

    - #### public static final java.lang.String CONTROLLER_URI_PROPERTY

    - #### public static final java.lang.String ERRORS_PROPERTY

    - #### public static final java.lang.String FLASH_SCOPE_PROPERTY

    - #### public static final java.lang.String GET_TEMPLATE_URI

    - #### public static final java.lang.String GET_VIEW_URI

    - #### public static final java.lang.String GRAILS_APPLICATION

    - #### public static final java.lang.String GRAILS_ATTRIBUTES

    - #### public static final java.lang.String HAS_ERRORS_METHOD

    - #### public static final java.lang.String MODEL_AND_VIEW_PROPERTY

    - #### public static final java.lang.String RENDER_VIEW_PROPERTY

    - #### public static final java.lang.String REQUEST_PROPERTY

    - #### public static final java.lang.String RESPONSE_PROPERTY

    - #### public static final java.lang.String SERVLET_CONTEXT

  - ### Method Detail

    - #### static void registerCommonWebProperties(groovy.lang.MetaClass mc, GrailsApplication application)

      This creates the difference dynamic methods and properties on the controllers. Most methods are implemented by looking up the current request from the RequestContextHolder (RCH)